Bug 1277703 - [abrt] gnome-initial-setup: g_type_check_instance_cast(): gnome-initial-setup killed by SIGSEGV
[abrt] gnome-initial-setup: g_type_check_instance_cast(): gnome-initial-setup...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d749c13a32a21e346ede969d084...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 16:06 EST by autarch princeps
Modified: 2016-03-01 20:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 20:04:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.31 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: core_backtrace (5.28 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: dso_list (40.83 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: environ (1.54 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: maps (118.42 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: mountinfo (3.45 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: open_fds (2.15 KB, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-03 16:06 EST, autarch princeps
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 154895 None None None 2016-03-01 20:04 EST

  None (edit)
Description autarch princeps 2015-11-03 16:06:30 EST
Version-Release number of selected component:
gnome-initial-setup-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup --existing-user
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/gnome-initial-setup
global_pid:     2709
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 cookiesDidChange at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/UIProcess/API/gtk/WebKitCookieManager.cpp:132
 #2 IPC::callMemberFunctionImpl<WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>>(WebKit::WebCookieManagerProxy*, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>&&, std::index_sequence<>) at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #3 IPC::callMemberFunction<WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)(), std::tuple<>, std::make_index_sequence<0ul> >(std::tuple<>&&, WebKit::WebCookieManagerProxy*, void (WebKit::WebCookieManagerProxy::*)()) at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #4 IPC::handleMessage<Messages::WebCookieManagerProxy::CookiesDidChange, WebKit::WebCookieManagerProxy, void (WebKit::WebCookieManagerProxy::*)()> at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #5 WebKit::WebCookieManagerProxy::didReceiveMessage at /usr/src/debug/webkitgtk-2.10.2/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/WebCookieManagerProxyMessageReceiver.cpp:49
 #6 IPC::MessageReceiverMap::dispatchMessage at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/MessageReceiverMap.cpp:102
 #7 WebKit::WebProcessPool::dispatchMessage at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/UIProcess/WebProcessPool.cpp:1103
 #8 WebKit::WebProcessProxy::didReceiveMessage at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/UIProcess/WebProcessProxy.cpp:481
 #9 IPC::Connection::dispatchMessage at /usr/src/debug/webkitgtk-2.10.2/Source/WebKit2/Platform/IPC/Connection.cpp:903
Comment 1 autarch princeps 2015-11-03 16:06:36 EST
Created attachment 1089219 [details]
File: backtrace
Comment 2 autarch princeps 2015-11-03 16:06:38 EST
Created attachment 1089220 [details]
File: cgroup
Comment 3 autarch princeps 2015-11-03 16:06:39 EST
Created attachment 1089221 [details]
File: core_backtrace
Comment 4 autarch princeps 2015-11-03 16:06:42 EST
Created attachment 1089222 [details]
File: dso_list
Comment 5 autarch princeps 2015-11-03 16:06:43 EST
Created attachment 1089223 [details]
File: environ
Comment 6 autarch princeps 2015-11-03 16:06:44 EST
Created attachment 1089224 [details]
File: exploitable
Comment 7 autarch princeps 2015-11-03 16:06:46 EST
Created attachment 1089225 [details]
File: limits
Comment 8 autarch princeps 2015-11-03 16:06:49 EST
Created attachment 1089226 [details]
File: maps
Comment 9 autarch princeps 2015-11-03 16:06:50 EST
Created attachment 1089227 [details]
File: mountinfo
Comment 10 autarch princeps 2015-11-03 16:06:52 EST
Created attachment 1089228 [details]
File: open_fds
Comment 11 autarch princeps 2015-11-03 16:06:53 EST
Created attachment 1089229 [details]
File: proc_pid_status
Comment 12 Dario Castellarin 2015-11-05 13:58:19 EST
Another user experienced a similar problem:

It crashed while I was adding my online accounts, at the next login it re-opened and I finished the procedure successfully.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-initial-setup --existing-user
crash_function: g_type_check_instance_cast
executable:     /usr/libexec/gnome-initial-setup
global_pid:     2643
kernel:         4.2.3-300.fc23.x86_64
package:        gnome-initial-setup-3.18.0-1.fc23
reason:         gnome-initial-setup killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.